<?xml version="1.0" encoding="UTF-8"?>

<module name="volume renderer" class="VolumeRenderer">
    <inputs>
        <input name="inField" type="org.visnow.vn.lib.types.VNField" modifiers="NECESSARY:TRIGGERING">
            <description value="Input for volume data to render"/>
            <acceptor>
                <param name="TRUENSPACE" value="3"/>
                <param name="LARGE" value="true"/>
            </acceptor>
        </input>
    </inputs>
    <outputs>
        <output name="croppedField" type="org.visnow.vn.lib.types.VNRegularField">
            <description value="Output of cropped field"/>
            <schema>
                <param name="NDIMS" value="3"/>
                <param name="AFFINE" value="true"/>
            </schema>
        </output>
        <geometryOutput>
            <description value="Output of geometry object for 3D rendered volume"/>
        </geometryOutput>
    </outputs>
    <description value="Maps volumetric data using volume rendering algorithm."/>
</module>
